import java.util.Collection;

import javax.persistence.EntityManager;
import javax.persistence.NoResultException;

public class ProfessorService {
  protected EntityManager em;

  public ProfessorService(EntityManager em) {
    this.em = em;
  }

  public Collection<Professor> findProfessorsAboveSal(Department dept, long minSal) {
      return (Collection<Professor>) em.createNamedQuery("findProfessorsAboveSal")
                                      .setParameter("dept", dept)
                                      .setParameter("sal", minSal)
                                      .getResultList();
  }

}
